import java.sql.Time;

public class ATM {

	private int minimumAmount;
	private int maximumAmount;
	private int limitTimeForOperation;

	/**
	 * 
	 * @param password
	 */
	public String verify(String password) {
		// TODO - implement ATM.verify
		throw new UnsupportedOperationException();
	}

	/**
	 * 
	 * @param accountNum
	 */
	public void readAccountNum(int accountNum) {
		// TODO - implement ATM.readAccountNum
		throw new UnsupportedOperationException();
	}

	public Message checkAvailabilityOfCashInATM() {
		// TODO - implement ATM.checkAvailabilityOfCashInATM
		throw new UnsupportedOperationException();
	}

	public Message verifyInputAmount() {
		// TODO - implement ATM.verifyInputAmount
		throw new UnsupportedOperationException();
	}

	public Time checkTime() {
		// TODO - implement ATM.checkTime
		throw new UnsupportedOperationException();
	}

	public int getMinimumAmount() {
		return minimumAmount;
	}

	public int getMaximumAmount() {
		return maximumAmount;
	}

	public int getLimitTimeForOperation() {
		return limitTimeForOperation;
	}

	public void setMinimumAmount(int minimumAmount) {
		this.minimumAmount = minimumAmount;
	}

	public void setMaximumAmount(int maximumAmount) {
		this.maximumAmount = maximumAmount;
	}

	public void setLimitTimeForOperation(int limitTimeForOperation) {
		this.limitTimeForOperation = limitTimeForOperation;
	}

}
